Name:           libssh
Version:        0.2 
Release:        2%{?dist}
Summary:        A library implementing the SSH2 protocol (0xbadc0de version)

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://0xbadc0de.be/?part=libssh
Source0:        http://0xbadc0de.be/libssh/%{name}-%{version}.tgz
Patch0:         libssh-0.2-libdir.patch
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:  openssl-devel
BuildRequires:  zlib-devel   

%description
The SSH library with
-Full C library functions for manipulating a client-side SSH connection                                                                     
-Fully configurable sessions                                                                                                                
-Support for AES-128,AES-192,AES-256,blowfish, in cbc mode                                                                                  
-use multiple SSH connections in a same process, at same time.                                                                              
-usable SFTP implementation                                                                                                                 
-Public key and password authentication                                                                                                     

%package devel
Summary:         Development files for %{name}
Group:           Development/Libraries
Requires:         %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q
%patch0 -p1 -b .libdir

%build
%configure --disable-static --enable-shared
make # doesn't build with %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} + 
chmod 644 $RPM_BUILD_ROOT/usr/include/libssh/*

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS CHANGELOG COPYING README
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so

%changelog
* Tue Jun 02 2009 Jan F. Chadima <jchadima@redhat.com> - 0.2-2
- Small changes during review

* Mon Jun 01 2009 Jan F. Chadima <jchadima@redhat.com> - 0.2-1
- Initial build
